curl --request POST \
--url https://api.engagefabric.com/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Awesome App",
"slug": "my-awesome-app",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"description": "Production environment for My Awesome App",
"environment": "DEVELOPMENT",
"config": {
"xp": {
"levelCurve": "exponential",
"baseXP": 100,
"growthRate": 1.5,
"maxXPPerDay": 10000
},
"currencies": [
{
"id": "coins",
"name": "Coins",
"icon": "🪙",
"maxPerDay": 1000
}
],
"lives": {
"max": 5,
"regenRate": 30,
"regenAmount": 1
}
},
"metadata": {
"version": "1.0.0",
"buildNumber": 42
}
}
'import requests
url = "https://api.engagefabric.com/projects"
payload = {
"name": "My Awesome App",
"slug": "my-awesome-app",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"description": "Production environment for My Awesome App",
"environment": "DEVELOPMENT",
"config": {
"xp": {
"levelCurve": "exponential",
"baseXP": 100,
"growthRate": 1.5,
"maxXPPerDay": 10000
},
"currencies": [
{
"id": "coins",
"name": "Coins",
"icon": "🪙",
"maxPerDay": 1000
}
],
"lives": {
"max": 5,
"regenRate": 30,
"regenAmount": 1
}
},
"metadata": {
"version": "1.0.0",
"buildNumber": 42
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Awesome App',
slug: 'my-awesome-app',
tenantId: '123e4567-e89b-12d3-a456-426614174000',
description: 'Production environment for My Awesome App',
environment: 'DEVELOPMENT',
config: {
xp: {levelCurve: 'exponential', baseXP: 100, growthRate: 1.5, maxXPPerDay: 10000},
currencies: [{id: 'coins', name: 'Coins', icon: '🪙', maxPerDay: 1000}],
lives: {max: 5, regenRate: 30, regenAmount: 1}
},
metadata: {version: '1.0.0', buildNumber: 42}
})
};
fetch('https://api.engagefabric.com/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Awesome App",
"slug": "my-awesome-app",
"environment": "PRODUCTION",
"status": "ACTIVE",
"isActive": true,
"tier": "FREE",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z",
"description": "Production environment for My Awesome App",
"config": {
"xp": {
"levelCurve": "exponential",
"baseXP": 100
},
"currencies": [
{
"id": "coins",
"name": "Coins"
}
]
},
"metadata": {
"version": "1.0.0"
},
"deletedAt": null,
"_count": {
"players": 150,
"apiKeys": 3
}
}Create a new project
Authorizations
JWT token for admin console authentication
Body
Project name
2 - 255"My Awesome App"
Project slug (URL-friendly identifier, lowercase alphanumeric and hyphens)
2 - 100"my-awesome-app"
Tenant ID (automatically set from authenticated user)
"123e4567-e89b-12d3-a456-426614174000"
Project description
"Production environment for My Awesome App"
Environment type
DEVELOPMENT, STAGING, PRODUCTION Game configuration (XP, currencies, lives, etc.)
{
"xp": {
"levelCurve": "exponential",
"baseXP": 100,
"growthRate": 1.5,
"maxXPPerDay": 10000
},
"currencies": [
{
"id": "coins",
"name": "Coins",
"icon": "🪙",
"maxPerDay": 1000
}
],
"lives": {
"max": 5,
"regenRate": 30,
"regenAmount": 1
}
}
Additional metadata (JSON object)
{ "version": "1.0.0", "buildNumber": 42 }
Response
Project created successfully
Unique project identifier
"123e4567-e89b-12d3-a456-426614174000"
Tenant ID that owns this project
"123e4567-e89b-12d3-a456-426614174000"
Project name
"My Awesome App"
URL-friendly slug
"my-awesome-app"
Environment type
DEVELOPMENT, STAGING, PRODUCTION "PRODUCTION"
Project status
ACTIVE, PAUSED, ARCHIVED "ACTIVE"
Whether the project is active (status === ACTIVE)
true
Rate limiting tier
FREE, STARTER, PROFESSIONAL, BUSINESS, ENTERPRISE "FREE"
Creation timestamp
"2025-01-15T10:30:00Z"
Last update timestamp
"2025-01-15T10:30:00Z"
Project description
"Production environment for My Awesome App"
Game configuration (XP, currencies, lives, etc.)
{
"xp": {
"levelCurve": "exponential",
"baseXP": 100
},
"currencies": [{ "id": "coins", "name": "Coins" }]
}
Additional metadata
{ "version": "1.0.0" }
Soft deletion timestamp
null
Related entity counts
Show child attributes
Show child attributes
